ON_4dPointArray Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_array.h>`

Inheritance diagram for ON_4dPointArray:

## Public Member Functions

| ON_4dPointArray ()
| ON_4dPointArray (int)
| ON_4dPointArray (const ON_4dPointArray &)
ON_4dPointArray & | operator= (const ON_4dPointArray &)
bool | Transform (const ON_Xform &)
bool | SwapCoordinates (int, int)
Public Member Functions inherited from ON_SimpleArray< ON_4dPoint >
| ON_SimpleArray ()
| ON_SimpleArray (int)
| ON_SimpleArray (const ON_SimpleArray< ON_4dPoint > &)
virtual | ~ON_SimpleArray ()
virtual ON_SimpleArray< ON_4dPoint > & | operator= (const ON_SimpleArray< ON_4dPoint > &)
void | EmergencyDestroy (void)
int | Count () const
unsigned int | UnsignedCount () const
int | Capacity () const
unsigned int | SizeOfArray () const
unsigned int | SizeOfElement () const
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
ON_4dPoint & | operator[] (int)
ON_4dPoint & | operator[] (unsigned int)
ON_4dPoint & | operator[] (ON__INT64)
ON_4dPoint & | operator[] (ON__UINT64)
const ON_4dPoint & | operator[] (int) const
const ON_4dPoint & | operator[] (unsigned int) const
const ON_4dPoint & | operator[] (ON__INT64) const
const ON_4dPoint & | operator[] (ON__UINT64) const
| operator ON_4dPoint * ()
| operator const ON_4dPoint * () const
ON_4dPoint * | First ()
const ON_4dPoint * | First () const
ON_4dPoint * | At (int)
ON_4dPoint * | At (unsigned int)
ON_4dPoint * | At (ON__INT64)
ON_4dPoint * | At (ON__UINT64)
const ON_4dPoint * | At (int) const
const ON_4dPoint * | At (unsigned int) const
const ON_4dPoint * | At (ON__INT64) const
const ON_4dPoint * | At (ON__UINT64) const
ON_4dPoint * | Last ()
const ON_4dPoint * | Last () const
ON_4dPoint & | AppendNew ()
void | Append (const ON_4dPoint &)
void | Append (int, const ON_4dPoint *)
void | Insert (int, const ON_4dPoint &)
void | Remove ()
virtual void | Remove (int)
void | Empty ()
void | Reverse ()
void | Swap (int, int)
int | Search (const ON_4dPoint &) const
int | Search (const ON_4dPoint *, int(*)(const ON_4dPoint *, const ON_4dPoint *)) const
int | BinarySearch (const ON_4dPoint *, int(*)(const ON_4dPoint *, const ON_4dPoint *)) const
int | BinarySearch (const ON_4dPoint *, int(*)(const ON_4dPoint *, const ON_4dPoint *), int) const
bool | HeapSort (int(*)(const ON_4dPoint *, const ON_4dPoint *))
bool | QuickSort (int(*)(const ON_4dPoint *, const ON_4dPoint *))
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const ON_4dPoint *, const ON_4dPoint *)) const
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const ON_4dPoint *, const ON_4dPoint *, void *), void *) const
bool | Permute (const int *)
void | Zero ()
void | MemSet (unsigned char)
void | Reserve (int)
void | Shrink ()
void | Destroy ()
virtual ON_4dPoint * | Realloc (ON_4dPoint *, int)
ON_4dPoint * | Array ()
const ON_4dPoint * | Array () const
void | SetCount (int)
void | SetCapacity (int)
int | NewCapacity () const
ON_4dPoint * | KeepArray ()
void | SetArray (ON_4dPoint *)
void | SetArray (ON_4dPoint *, int, int)

## Additional Inherited Members

Protected Member Functions inherited from ON_SimpleArray< ON_4dPoint >
void | Move (int, int, int)
Protected Attributes inherited from ON_SimpleArray< ON_4dPoint >
ON_4dPoint * | m_a
int | m_count
int | m_capacity

## Detailed Description

Definition at line 687 of file opennurbs_array.h.

## Constructor & Destructor Documentation

## ON_4dPointArray() [1/3]

ON_4dPointArray::ON_4dPointArray | ( |  | ) |

## ON_4dPointArray() [2/3]

ON_4dPointArray::ON_4dPointArray | ( | int |  | ) |

## ON_4dPointArray() [3/3]

ON_4dPointArray::ON_4dPointArray | ( | const ON_4dPointArray & |  | ) |

## Member Function Documentation

## operator=()

ON_4dPointArray& ON_4dPointArray::operator= | ( | const ON_4dPointArray & |  | ) |

## SwapCoordinates()

bool ON_4dPointArray::SwapCoordinates | ( | int | ,
|  | int |
| ) |  |

## Transform()

bool ON_4dPointArray::Transform | ( | const ON_Xform & |  | ) |

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_array.h